<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Image_resizer Infusion made by:
| XtraLars, bigwimp, johanf
| Modification to auto_avatar_resizer Infusion by: 
| olelau
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."auto_avatar_resizer_infusion/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."auto_avatar_resizer_infusion/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."auto_avatar_resizer_infusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['rsze000'];
$inf_description = $locale['rsze001'];
$inf_version = "1.4";
$inf_developer = "olelau";
$inf_email = "ole.l@hgs.dk";
$inf_weburl = "http://www.itfordig.dk//";

$inf_folder = "auto_avatar_resizer_infusion"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "auto_avatar_resizer_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['rsze002']; // if not required replace $locale['rsze002']; with "";
$inf_link_url = "auto_avatar_resizer.php"; // The filename you wish to link to.
$inf_link_visibility = "101"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 3; // Number of new db tables to create or drop.
$inf_insertdbrows = 3; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "auto_avatar_resizer_images (
  img_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  user_id SMALLINT(5) UNSIGNED NOT NULL,
  img_file VARCHAR(60) NULL DEFAULT '',
  img_resizeddate DATETIME NULL DEFAULT '1000-01-01 00:00:00',
  PRIMARY KEY(img_id)
);";

$inf_newtable_[2] = "auto_avatar_resizer_templates (
  tem_id SMALLINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  tem_maxY SMALLINT(5) UNSIGNED NOT NULL DEFAULT 100,
  tem_maxX SMALLINT(5) UNSIGNED NOT NULL DEFAULT 100,
  tem_name VARCHAR(35) NOT NULL DEFAULT '',
  tem_description TEXT NULL DEFAULT '',
  tem_format TINYINT(2) NULL DEFAULT 0,
  PRIMARY KEY(tem_id)
);";

$inf_newtable_[3] = "auto_avatar_resizer_settings (
  buffer_length TINYINT(3) UNSIGNED NULL DEFAULT 15,
  maxFileSize INTEGER UNSIGNED NOT NULL DEFAULT 3000000,
  group_id SMALLINT(3) UNSIGNED NULL DEFAULT 101
);";

$inf_insertdbrow_[1] = "auto_avatar_resizer_settings (buffer_length, maxFileSize, group_id) VALUES(15, 3000000, 101)";
$inf_insertdbrow_[2] = "auto_avatar_resizer_templates (tem_maxY, tem_maxX, tem_name, tem_description, tem_format)"
					  ." VALUES(100, 100, 'Avatar', 'Default Avatar-size', ".IMAGETYPE_GIF.")";


$inf_droptable_[1] = "auto_avatar_resizer_images";
$inf_droptable_[2] = "auto_avatar_resizer_templates";
$inf_droptable_[3] = "auto_avatar_resizer_settings";

?>